// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.GetStatisticsRequest}
 */
public  final class GetStatisticsRequest extends
    com.google.protobuf.GeneratedMessageLite<
        GetStatisticsRequest, GetStatisticsRequest.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.GetStatisticsRequest)
    GetStatisticsRequestOrBuilder {
  private GetStatisticsRequest() {
  }
  private int statisticsTypeCase_ = 0;
  private java.lang.Object statisticsType_;
  public enum StatisticsTypeCase {
    ARTICLE_ID(5),
    ALL_ARTICLES(6),
    STATISTICSTYPE_NOT_SET(0);
    private final int value;
    private StatisticsTypeCase(int value) {
      this.value = value;
    }
    /**
     * @deprecated Use {@link #forNumber(int)} instead.
     */
    @java.lang.Deprecated
    public static StatisticsTypeCase valueOf(int value) {
      return forNumber(value);
    }

    public static StatisticsTypeCase forNumber(int value) {
      switch (value) {
        case 5: return ARTICLE_ID;
        case 6: return ALL_ARTICLES;
        case 0: return STATISTICSTYPE_NOT_SET;
        default: return null;
      }
    }
    public int getNumber() {
      return this.value;
    }
  };

  @java.lang.Override
  public StatisticsTypeCase
  getStatisticsTypeCase() {
    return StatisticsTypeCase.forNumber(
        statisticsTypeCase_);
  }

  private void clearStatisticsType() {
    statisticsTypeCase_ = 0;
    statisticsType_ = null;
  }

  public static final int ARTICLE_ID_FIELD_NUMBER = 5;
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return Whether the articleId field is set.
   */
  @java.lang.Override
  public boolean hasArticleId() {
    return statisticsTypeCase_ == 5;
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The articleId.
   */
  @java.lang.Override
  public java.lang.String getArticleId() {
    java.lang.String ref = "";
    if (statisticsTypeCase_ == 5) {
      ref = (java.lang.String) statisticsType_;
    }
    return ref;
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The bytes for articleId.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getArticleIdBytes() {
    java.lang.String ref = "";
    if (statisticsTypeCase_ == 5) {
      ref = (java.lang.String) statisticsType_;
    }
    return com.google.protobuf.ByteString.copyFromUtf8(ref);
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @param value The articleId to set.
   */
  private void setArticleId(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  statisticsTypeCase_ = 5;
    statisticsType_ = value;
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   */
  private void clearArticleId() {
    if (statisticsTypeCase_ == 5) {
      statisticsTypeCase_ = 0;
      statisticsType_ = null;
    }
  }
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @param value The bytes for articleId to set.
   */
  private void setArticleIdBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    statisticsType_ = value.toStringUtf8();
    statisticsTypeCase_ = 5;
  }

  public static final int ALL_ARTICLES_FIELD_NUMBER = 6;
  /**
   * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
   * @return Whether the allArticles field is set.
   */
  @java.lang.Override
  public boolean hasAllArticles() {
    return statisticsTypeCase_ == 6;
  }
  /**
   * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
   * @return The allArticles.
   */
  @java.lang.Override
  public boolean getAllArticles() {
    if (statisticsTypeCase_ == 6) {
      return (java.lang.Boolean) statisticsType_;
    }
    return false;
  }
  /**
   * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
   * @param value The allArticles to set.
   */
  private void setAllArticles(boolean value) {
    statisticsTypeCase_ = 6;
    statisticsType_ = value;
  }
  /**
   * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
   */
  private void clearAllArticles() {
    if (statisticsTypeCase_ == 6) {
      statisticsTypeCase_ = 0;
      statisticsType_ = null;
    }
  }

  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.GetStatisticsRequest}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.GetStatisticsRequest)
      gg.dsepractice.chinese.v1alpha1.GetStatisticsRequestOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }

    @java.lang.Override
    public StatisticsTypeCase
        getStatisticsTypeCase() {
      return instance.getStatisticsTypeCase();
    }

    public Builder clearStatisticsType() {
      copyOnWrite();
      instance.clearStatisticsType();
      return this;
    }


    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return Whether the articleId field is set.
     */
    @java.lang.Override
    public boolean hasArticleId() {
      return instance.hasArticleId();
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return The articleId.
     */
    @java.lang.Override
    public java.lang.String getArticleId() {
      return instance.getArticleId();
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return The bytes for articleId.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getArticleIdBytes() {
      return instance.getArticleIdBytes();
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @param value The articleId to set.
     * @return This builder for chaining.
     */
    public Builder setArticleId(
        java.lang.String value) {
      copyOnWrite();
      instance.setArticleId(value);
      return this;
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @return This builder for chaining.
     */
    public Builder clearArticleId() {
      copyOnWrite();
      instance.clearArticleId();
      return this;
    }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     * @param value The bytes for articleId to set.
     * @return This builder for chaining.
     */
    public Builder setArticleIdBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.setArticleIdBytes(value);
      return this;
    }

    /**
     * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
     * @return Whether the allArticles field is set.
     */
    @java.lang.Override
    public boolean hasAllArticles() {
      return instance.hasAllArticles();
    }
    /**
     * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
     * @return The allArticles.
     */
    @java.lang.Override
    public boolean getAllArticles() {
      return instance.getAllArticles();
    }
    /**
     * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
     * @param value The allArticles to set.
     * @return This builder for chaining.
     */
    public Builder setAllArticles(boolean value) {
      copyOnWrite();
      instance.setAllArticles(value);
      return this;
    }
    /**
     * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
     * @return This builder for chaining.
     */
    public Builder clearAllArticles() {
      copyOnWrite();
      instance.clearAllArticles();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.GetStatisticsRequest)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "statisticsType_",
            "statisticsTypeCase_",
          };
          java.lang.String info =
              "\u0000\u0002\u0001\u0000\u0005\u0006\u0002\u0000\u0000\u0000\u0005\u023b\u0000\u0006" +
              ":\u0000";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.GetStatisticsRequest)
  private static final gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest DEFAULT_INSTANCE;
  static {
    GetStatisticsRequest defaultInstance = new GetStatisticsRequest();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      GetStatisticsRequest.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<GetStatisticsRequest> PARSER;

  public static com.google.protobuf.Parser<GetStatisticsRequest> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

